Subject: Re: [PATCH 1/2] net: smsc911x: Fix register_netdev, phy startup, driver unload ordering

From: Andrew Lunn <[email-masked]>
Date: Thu, 1 Sep 2016 21:22:43 +0200

> This patch does add additional code I overlooked to cleanup the phy
> if it fails, I guess in theory that portion could be a prereq patch,
> I will break that portion out. I'm still not sure how to partially
> move the MDIO startup...

Hi Jeremy

You can add a cleanup patch which replaces these hard coded return
values with the value returned by the function calls. Then do the
move.

In general, it is easier to review lots of small obvious patches, than
one big patch with lots of things going on.

    Andrew